<?php

include("../Librerias/ConfNivel2.inc");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();                ///Clase Sesi�n

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

$Formulario=new Formulario();

//FEncabezado($Nivel);





/*Obtenemos los valores por get*/

 /*$numero = count($_GET);

     $tags = array_keys($_GET);	

	 $valores = array_values($_GET); 

	  // crea las variables y les asigna el valor

      for($i=0;$i<$numero;$i++){

      $$tags[$i]=$valores[$i];

       }

/*-----------------------------*/ 



/*Obtenemos los valor por post*/

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

  <html xmlns="http://www.w3.org/1999/xhtml">

    <head> 

		<meta name="viewport" content="width=device-width, initial-scale=1, charset=utf-8">

		<link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>bootstrap/css/bootstrap.css">                

         <?

	   if ($_JQuery == 1)

echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';

else

echo '<script src="'.$Nivel.'Librerias/fancy/lib/jquery.min.js"></script>';  

$FechaActual = date("Y-m-d");

echo "<link rel='stylesheet' type='text/css' media='all' href='".$Nivel."Scripts/calendar-blue.css' title='win2k-1' />";

echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar.js'></script>";

echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar-es.js'></script>";

echo "<script type='text/javascript' src='".$Nivel."Scripts/funcionescalendario.js'></script>";

echo "<script language='javascript'>var actual='$FechaActual';</script>";

?>

          <script src="<? echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>

        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">

        <script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>

        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">

        

         <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/docsupport/prism.css">

	            <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/chosen.css">

				 <style type="text/css" media="all">

				     .chosen-rtl .chosen-drop { left: -9000px; }

                  </style>

		<title>M&oacute;dulos de usuario</title>

        <script language="JavaScript" type="text/JavaScript">

function Guardar(){

 Formulario.submit();

}

</script>

	</head>

    <body style="padding-top: 60px;">

    <? include $Nivel."menu1.php";

echo '<br>';?>

<?



 if ($_GET["UsuarioId"]) 

 $UsuarioId = $_GET["UsuarioId"];  

/* if ($_POST)

  $UsuarioId = $_POST["UsuarioId"];*/

$Consulta="Select * from usuarios where IdUsuario=".$UsuarioId;

$Row=$Conexion->MSelectRegistro($Consulta);

/*$Vector=explode("-",$S_SV[Ubicacion]);

$Elementos=count($Vector);*/



if ($_SESSION["Tipo"]!='A')

  {

   FAccesoDenegado('../');

   exit();

  }





if ($UsuarioId){



 if ($_SESSION["IdUsuario"]==$UsuarioId)

  {

   FAccesoDenegado('../');

   exit();

  }



 $Consulta="Select * from usuarios ";

 $Resultado=$Conexion->MVectorRegistro($Consulta);

 $Registros = mysqli_fetch_array($Resultado);

 $BanEXZ=0;

 do{

  if ($UsuarioId==$Registros["IdUsuario"])

   $BanEXZ=1; 

 }while ($Registros = mysqli_fetch_array($Resultado));



 if ($BanEXZ==0)

  {

   FAccesoDenegado();

   exit();

  }



}

//////////////////////////////////////////////////////////////







if ($Row["Tipo"]=='A')

 $BanUser=1;

else

 $BanUser=0;

?>



  <? //FTitulo("USUARIOS","Center");

     //FSubtitulo("Acceso y Restricci�n","Center"); ?>

     <div class="container">

 <div class="panel panel-primary sombras"> 

     <div class="titulo"><strong><i class="fa fa-user-circle" aria-hidden="true"></i>  Usuarios - Acceso y Restricción</strong></div>





<?php

if ($Guardar){

	$ConsultaBorra="DELETE from subsistemausuarios where IdUsuario=$UsuarioId";

	$Conexion->MEjecutarSQL($ConsultaBorra);

	for ($x=0;$x<$Contador;$x++){

	    $NombreAcceso='Acceso'.$x;

	    $NombreTipo='Tipo'.$x;

	    $NombreSub='Subsistema'.$x;

	    $NombreOp='NoOpcion'.$x;

	    if ($$NombreAcceso=='Activo'){

	      $Consulta="Insert into subsistemausuarios(IdUsuario,IdSubsistema,NoOpcion)

	                 Values (".$UsuarioId.",".$$NombreSub.",".$$NombreOp.")";

					// echo $Consulta."</BR>";

	      $Conexion->MEjecutarSQL($Consulta);

	    }

	}



FMensajeScript("MODULOS MODIFICADOS","Usuarios.php?UsuarioId=$UsuarioId");

exit();

}

else {

?>



<form action="ModulosUsuarios.php" method="post" name="Formulario">

<input type="hidden" name="UsuarioId" value="<?php echo $UsuarioId?>">

  <table width="95%" border="0" align="center">

    <tr>

      <td colspan="4">

           <div align="center">

            <?php  

			$EventoG = "Formulario.submit();";

			//$Formulario->MBotonScript("Guardar",'Guardar',$EventoG,"btn btn-success btn3d","fa fa-floppy-o");

			$Formulario->MBotonEnviar("Guardar","Guardar","btn btn-primary btn3d");

			echo " ";

			$Formulario->MLinkBoton("Usuarios.php","Regresar","btn btn-info btn3d","fa fa-angle-left");?>           

               <!-- <a href="javascript:history.back()"><strong>[ Regresar ]</strong></a> -->

           </div></td>

    </tr>

    <tr bgcolor="<? echo $_CCT; ?>">

      <td colspan="4" >

        <div align="center"><font color="#FF0000"><strong>USUARIO

          : <?php echo $Row["Usuario"]?></strong></font></div></td>

    </tr>

    <tr bgcolor="<? echo $_CCT; ?>">

      <td width="7%"> <div align="center"><strong>#</strong></div></td>

      <td width="46%"> <div align="center"><strong>SUBSISTEMA Y MODULOS</strong></div></td>

      <td width="11%"> <div align="center"><strong>ACCESO</strong></div></td>

    </tr>

    <?php

        ////primero sacar los Sistemas a los que tiene acceso el Usuario de Sesi�n

/*$Consulta="SELECT distinct A.IdSubsistema,B.* FROM SubsistemaUsuarios A inner join

           Subsistemas B on A.IdSubsistema=B.IdSubsistema WHERE

                   A.IdUsuario=$S_SV[IdUsuario] Order by A.IdSubsistema";*/



$Consulta="SELECT DISTINCT a.IdSubsistema,b.* FROM subsistemausuarios a INNER JOIN subsistemas b 

           ON a.IdSubsistema=b.IdSubsistema   WHERE a.IdUsuario=".$_SESSION["IdUsuario"]." ORDER BY a.IdSubsistema ASC";



//echo $Consulta.'<br>';

//echo "sacar los Sistemas del usuario :<b>".$Consulta."</b><br><br>";

$Resultado=$Conexion->MVectorRegistro($Consulta);

$Registros=mysqli_fetch_array($Resultado);

if (!$Registros){///inicio if validacion si hay datos

   echo 'No tiene asignado algún sistema';

   exit();

}///fin if validacion si hay datos



$Cont=0;



do{/////inicio primer do

 $ConsultaAcceso="SELECT * FROM modulosubsistema  WHERE IdSubsistema=".$Registros["IdSubsistema"]." and Acceso=1 Order by NoOpcion";

 //echo $ConsultaAcceso.'<br>';

 $ResAcceso=$Conexion->MVectorRegistro($ConsultaAcceso);

 //$RegAcceso=mysqli_num_rows($ResAcceso);

 $RegAcceso= $ResAcceso->num_rows;

 //echo $RegAcceso.'<br>';

 if ($RegAcceso!=0) {

 echo '<tr bgcolor="'.$_CCT.'"><td>&nbsp;</td><td colspan="3">

        <font color="#000000"><b>'.$Registros["Nombre"].'</b></font></td></tr>';

  }

 

 ////segundo sacar los m�dulos de cada Sistemas a los que tiene acceso el Usuario de Sesi�n

  $ConModulos="SELECT * FROM subsistemausuarios WHERE IdSubsistema=".$Registros["IdSubsistema"]."

               and IdUsuario=".$_SESSION["IdUsuario"]." Order by NoOpcion ASC";

 $ResModulos=$Conexion->MVectorRegistro($ConModulos);

 $RowModulos=mysqli_fetch_array($ResModulos);

 

 do{//inicio segundo do

  /////////tercero sacar los nombres de los m�dulos

  if ($BanUser==1) {

   $ConModSub="Select * from modulosubsistema where Acceso=1 and IdSubsistema=".$RowModulos["IdSubsistema"]." and

               NoOpcion=".$RowModulos["NoOpcion"];

  }else{

   $ConModSub="Select * from modulosubsistema where Acceso=1 and IdSubsistema=".$RowModulos["IdSubsistema"]." and

               NoOpcion=".$RowModulos["NoOpcion"];

  }

  //echo "-->".$ConModSub;

  $ResModSub=$Conexion->MVectorRegistro($ConModSub);

  $ConModSub=$ResModSub->num_rows;



  if ($ConModSub!=0){

   $RowModSub=mysqli_fetch_array($ResModSub);

   do{///Inicio Tercer do/////////////////////////////////////////////////////////////////////////////////

     	  

	 $NombreAcceso='Acceso'.$Cont;

     //$NombreTipo='Tipo'.$Cont;

     $NombreSub='Subsistema'.$Cont;

     $NombreOp='NoOpcion'.$Cont;



     $ConRow="Select * from subsistemausuarios where IdUsuario=$UsuarioId and

              IdSubsistema=$RowModSub[IdSubsistema] and NoOpcion=$RowModSub[NoOpcion]";

     $RowModUsuario=$Conexion->MSelectRegistro($ConRow);

     //echo $ConRow."<br />"; 

     if ($RowModUsuario)

      $Checked=" Checked>";

     else

      $Checked=">";

     

     echo '<tr>

            <td><div align="center">'.$RowModulos["IdSubsistema"].'</div></td>

            <td>'.$RowModSub["Nombre"].'</td>

            <td><div align="center">

            <input type="checkbox" value="Activo" name="'.$NombreAcceso.'" '.$Checked.'

            <input type="hidden" name="'.$NombreSub.'" value="'.$RowModulos["IdSubsistema"].'">

            <input type="hidden" name="'.$NombreOp.'" value="'.$RowModSub["NoOpcion"].'">

            </div></td>

           </tr>';

      

   }while ($RowModSub=mysqli_fetch_array($ResModSub));///de los M�dulos del Subsistemas fin tercer do

  }///////////////////////////////////////////////////////////////////////////////////////////////

  $Cont++;

 } while ($RowModulos=mysqli_fetch_array($ResModulos));///fin segundo do

} while ($Registros=mysqli_fetch_array($Resultado));////fin primer do



//////////////////////////////////////////Los modulos de acceso a los que tiene el usuario

/////////////////////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////////////////////////////



    echo '<input type="hidden" name="Contador" value="'.$Cont.'">';

    echo '<tr><td colspan="4"><div align="center">';

               $Formulario->MBotonEnviar("Guardar","Guardar","btn btn-primary btn3d");

			   // $Formulario->MBotonScript("Guardar",'Guardar',$EventoG,"btn btn-success btn3d","fa fa-floppy-o"); 

                   echo " ";

			$Formulario->MLinkBoton("Usuarios.php","Regresar","btn btn-info btn3d","fa fa-angle-left");

         echo '</div></td>';

}///////fin opcion desplegado del formulario

?></table>

</form></div></div>







    